Subject: Re: [PATCH 1/1] docs: add a FAQ

From: "brian m. carlson" <[email-masked]>
Date: Thu, 19 Mar 2020 23:31:38 +0000

On 2020-03-19 at 17:02:04, Shourya Shukla wrote:
> This seems like a really good idea! There are tons of redundant questions on StackOverflow
> regarding Git in fact. One thing I want to ask, is that will this FAQ cover questions of the type:
> 
> "How do I change the remote of my repository?"
> "What is the difference between a git merge and a git pull?"
> "Git is tracking the files mentioned in .gitignore, what to do?"
> "When do I rebase and when do I merge?"
> 
> And stuff like that. Basically questions which are more of a help to someone. Or are we focusing
> only on the FAQs to kind of guide the user in Git, aiming to answer the fundamental questions and
> not the general problems faced by a user?

I think these kinds of questions are good things to add.  I do see the
tracked-file-in-.gitignore question a lot in particular.

Part of my goal here is to address these kinds of questions in Git's
documentation itself.  If many people are asking the same question on
Stack Overflow, clearly there's confusion and we should address that by
making our documentation clearer and easier to find.

My hope is that folks will start linking to the FAQ once we have it up
on the website and it will become a good starting point for people to
find answers when they're unsure of something.

> Also, I had some FAQs in mind, can I add some into this?

I had always planned this patch as a start.  I fully expect that we'll
add more to it in the future, so I'd love to see additional
contributions.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204